Bug 991219 - Login Banner kills Status change in Gnome Chat and Empathy
Login Banner kills Status change in Gnome Chat and Empathy
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 17:37 EDT by Stefan Held
Modified: 2015-02-17 11:30 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:30:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Empathy Status (6.68 KB, image/png)
2013-08-01 17:37 EDT, Stefan Held
no flags Details
Gnome Status (37.75 KB, image/png)
2013-08-01 17:38 EDT, Stefan Held
no flags Details

  None (edit)
Description Stefan Held 2013-08-01 17:37:23 EDT
Description of problem:

After establishing a connection to a site with a login Banner, Gnome Status for Empathy is greyed out and even in Empathy you cant switch your status.
Version-Release number of selected component (if applicable):


How reproducible:

Establish a vpnc to a site with a login Banner.

Steps to Reproduce:
1. connect to vpn site via NM-vpnc
2. try to change your status in Gnome Shell
3. try to change your status in Empathy

Actual results:

In Gnome Shell the posibility to change your status is greyed out

In Empathy the drop Down with statuses is deactivated. 
If Gnome Shell enables the Screensaver status is switched to away and you never can get it back. 

Switing of NM-vpnc connection everything is working as expected

Expected results:

Dont do this :) Instead of disabling status for Chat CLients it should display the Banner.

Additional info:

NetworkManager-vpnc-0.9.8.2-1.fc19.x86_64
NetworkManager-0.9.8.2-8.git20130709.fc19.x86_64
Comment 1 Stefan Held 2013-08-01 17:37:52 EDT
Created attachment 781778 [details]
Empathy Status
Comment 2 Stefan Held 2013-08-01 17:38:24 EDT
Created attachment 781779 [details]
Gnome Status
Comment 3 Jirka Klimes 2014-06-12 05:00:29 EDT
I don't use GnomeShell. But on a quick test I don't see problems. If you still experience some issues, could you get output of these commands:
$ nmcli c s a
$ nmcli device
$ nmcli gen

Anyway, re-assigning to gnome shell.
Comment 4 Florian Müllner 2014-06-12 05:58:40 EDT
I hate bouncing bugs around like this, but seeing how both gnome-shell and empathy are affected, it's unlikely to be a gnome-shell issue - reassigning to telepathy for now, though the problem could be in glib's network monitor and friends as well ...
Comment 5 Stefan Held 2014-06-26 02:49:38 EDT
Nice to see that finaly somone trys to resolve this.

This Bug was filed 2013-08-01.

Fedora is using a different Version of Gnome, Empathy is not integrated into Gnome the way it was and RHEL7 which bases on F19 doesnt have support for VPNC at all.

I moved on to a different OS so i can't say if this still exists.

If i remember correctly the Bug was gone after a few updates on F19.
Comment 6 Fedora End Of Life 2015-01-09 14:13:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:30:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.